%define anolis_release 1
%global pypi_name jsonplus
%global pypi_version 0.8.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Custom datatypes (like datetime) serialization to/from JSON

License:        MIT
URL:            https://github.com/randomir/jsonplus
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
JSON+ is an extension to the standard JSON serialization format that allows for the 
serialization and deserialization of additional data types beyond what is natively 
supported by JSON. It fills a gap in JSON by providing support for several 
Python-specific data types that are commonly used but not included in the JSON specification.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(python-dateutil) >= 2.1
Requires:       python3dist(simplejson) >= 3.3
Requires:       python3dist(sortedcontainers) >= 1.5.9
%description -n python3-%{pypi_name}
JSON+ is an extension to the standard JSON serialization format that allows for the 
serialization and deserialization of additional data types beyond what is natively 
supported by JSON. It fills a gap in JSON by providing support for several 
Python-specific data types that are commonly used but not included in the JSON specification.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.8.0-1
- Initial package.